Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
[Java] Class AbstractReportTask

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.diagnostics.AbstractReportTask

    public abstract class AbstractReportTask
    extends ConventionTask

The base class for all project report tasks.

Constructor Summary
`protected AbstractReportTask()`

Method Summary
`void` | `generate()`
`protected void` | `generate(Project project)`
`File` | `getOutputFile()` Returns the file which the report will be written to.
`Set` | `getProjects()` Returns the set of project to generate this report for.
`protected ReportRenderer` | `getRenderer()`
`void` | `setOutputFile(File outputFile)` Sets the file which the report will be written to.
`void` | `setProjects(Set projects)` Specifies the set of projects to generate this report for.

Constructor Detail

### AbstractReportTask

    protected AbstractReportTask()

Method Detail

### generate

    @TaskAction
    public void generate()

### generate

    protected void generate(Project project)

### getOutputFile

    @OutputFile
    @Optional
    public File getOutputFile()

  Returns the file which the report will be written to. When set to `null`, the report is written to `System.out`. Defaults to `null`.
  Returns:
    The output file. May be null.

### getProjects

    public Set getProjects()

  Returns the set of project to generate this report for. By default, the report is generated for the task's containing project.
  Returns:
    The set of files.

### getRenderer

    protected ReportRenderer getRenderer()

### setOutputFile

    public void setOutputFile(File outputFile)

  Sets the file which the report will be written to. Set this to `null` to write the report to `System.out`.
  Parameters:
    `outputFile` - The output file. May be null.

### setProjects

    public void setProjects(Set projects)

  Specifies the set of projects to generate this report for.
  Parameters:
    `projects` - The set of projects. Must not be null.

Gradle API 1.10